org.jbpm.ruleflow.core.factory

## Class HumanTaskNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.HumanTaskNodeFactory

-     public class HumanTaskNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HumanTaskNodeFactory` | `actorId(String actorId)`
    `HumanTaskNodeFactory` | `comment(String comment)`
    `HumanTaskNodeFactory` | `content(String content)`
    `protected Node` | `createNode()`
    `protected HumanTaskNode` | `getHumanTaskNode()`
    `HumanTaskNodeFactory` | `inMapping(String parameterName, String variableName)`
    `HumanTaskNodeFactory` | `name(String name)`
    `HumanTaskNodeFactory` | `onEntryAction(String dialect, String action)`
    `HumanTaskNodeFactory` | `onExitAction(String dialect, String action)`
    `HumanTaskNodeFactory` | `outMapping(String parameterName, String variableName)`
    `HumanTaskNodeFactory` | `priority(String priority)`
    `HumanTaskNodeFactory` | `skippable(boolean skippable)`
    `HumanTaskNodeFactory` | `swimlane(String swimlane)`
    `HumanTaskNodeFactory` | `taskName(String taskName)`
    `HumanTaskNodeFactory` | `timer(String delay, String period, String dialect, String action)`
    `HumanTaskNodeFactory` | `waitForCompletion(boolean waitForCompletion)`
    `HumanTaskNodeFactory` | `workParameter(String name, Object value)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanTaskNodeFactory

          public HumanTaskNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                      NodeContainer nodeContainer,
                                      long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getHumanTaskNode

          protected HumanTaskNode getHumanTaskNode()

    - #### name

          public HumanTaskNodeFactory name(String name)

    - #### taskName

          public HumanTaskNodeFactory taskName(String taskName)

    - #### actorId

          public HumanTaskNodeFactory actorId(String actorId)

    - #### priority

          public HumanTaskNodeFactory priority(String priority)

    - #### comment

          public HumanTaskNodeFactory comment(String comment)

    - #### skippable

          public HumanTaskNodeFactory skippable(boolean skippable)

    - #### content

          public HumanTaskNodeFactory content(String content)

    - #### inMapping

          public HumanTaskNodeFactory inMapping(String parameterName,
                                                String variableName)

    - #### outMapping

          public HumanTaskNodeFactory outMapping(String parameterName,
                                                 String variableName)

    - #### waitForCompletion

          public HumanTaskNodeFactory waitForCompletion(boolean waitForCompletion)

    - #### swimlane

          public HumanTaskNodeFactory swimlane(String swimlane)

    - #### onEntryAction

          public HumanTaskNodeFactory onEntryAction(String dialect,
                                                    String action)

    - #### onExitAction

          public HumanTaskNodeFactory onExitAction(String dialect,
                                                   String action)

    - #### timer

          public HumanTaskNodeFactory timer(String delay,
                                            String period,
                                            String dialect,
                                            String action)

    - #### workParameter

          public HumanTaskNodeFactory workParameter(String name,
                                                    Object value)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.